Eclipse Platform Release 3.7

## org.eclipse.ui.intro.config
Interface IIntroAction

All Known Implementing Classes:
  AlwaysWelcomeCheckbox

    public interface IIntroAction

An Intro action. Classes that implement this interface can be used as valid value for the "class" parameter for the following intro url:

http://org.eclipse.ui.intro/runAction?pluginId=x.y.z&class=x.y.z.someClass

Since:
  3.0

Method Summary
`void` `run(IIntroSite site, Properties params)` Called to run this intro command.

Method Detail

### run

    void run(IIntroSite site,
             Properties params)

  Called to run this intro command. The properties represents the key=value pairs extracted from the intro URL query.

  Parameters:
    `site` -
    `params` -

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.